#Makefile for Basic
#note add -pg to CFLAGS and CC for profiling


CFLAGS = 
CC= gcc


objects = clip.o displayview.o drawable.o face.o facelist.o index.o \
	  light.o matrix.o mymalloc.o object.o point.o \
	  polygon.o surface.o tree.o vertex.o view.o steps.o

shadows : $(objects)
	$(CC) $(objects)  -lXmu -lX11 -lm -o steps

$(objects) : device.h
$(objects) : face.h
$(objects) : view.h
